新闻中心

旧错新解:wordpress网站程序升级报错Warning:Cannot modify header information – headers already sent by

作者 / 时间 2015-04-29 13:48:33

由于最近wordpress4.1.1新版本出了,最近有很多无忧主机php空间用户朋友发现在网站后台升级WordPress 程序到最新的版本或者是直接全新安装最新版本的时候,发现在网站页面一个报错:Warning:Cannot modify header information – headers already sent by 那个时候花了好长时间折腾不出原因,后来只是因为换了不同版本的Wordpress安装包,都没有任何问题,但一直不知其所以然。后来经过查看报错文件,发现是文件编码格式出问题了。如果你是直接在FTP里面编辑,就会发现有很多多余的空格。解决方法当然是有的。 一、使用FTP把报错文件wp-config.php 下载到本地,通过编辑器来编辑文件,在编码格式那里选择为utf-8无bom格式编码。点击保存,再上传覆盖即可。 二、删掉 wp-config.php 里面多余的空格,空行以及其他无用信息。 通过 FTP 下载 wp-config.php 文件 2. 打开 wp-cinfig.php 3. 去除<?php 前面的所有空格。 4. 确保第一个字段是 <?php 并且 <?php 在第一行而且中间没有空格。 5.去除 ?> 后的所有空格。 6. 确保最后的字符是 ?>,放到最后一行,确保中间没有空格。 主要是根据这个错误提示来处理,也有可能发生在其他的文件。仔细看清楚报错提示的信息,上面都有有记录出错的文件所在位置的。 无忧主机相关文章推荐阅读: WORDPRESS数据库表的含义介绍 WORDPRESS中MAIN方法中定义方法的含义讲解 小编浅谈Z-BLOG与WORDPRESS建站和优化对比 WORDPRESS后台提示:在向API发送请求时发生了一个HTTP异常错误的解决汇总分享

本文地址:https://www.51php.com/wordpress/19302.html

1
1
1
1
1
1
1